import request from '@/utils/request'

/**
 * 新增客户
 * @param customerName 客户名
 * @param customerEmail 客户邮箱
 * @param customerContact 客户联系人
 * @param customerPhone 客户电话
 * @param customerAddress 客户地址
 * @param status 状态
 * @param startTime 开始时间
 * @param endTim 结束时间
 */
export function addCustomer({ customerName, customerEmail, customerContact, customerPhone, customerAddress, status, customerOperator, customerArea, contractTime, type }) {
  return request({
    url: '/system/customer/',
    method: 'GET',
    data: { customerName, customerEmail, customerContact, customerPhone, customerAddress, customerOperator, customerArea, status, contractTime, type }
  })
}

/**
 * 修改客户
 * @param customerId 客户ID
 * @param customerName 客户名称
 * @param customerEmail 客户邮箱
 * @param customerContact 客户联系人
 * @param customerPhone 客户联系电话
 * @param customerAddress 客户地址
 * @param status 状态
 * @param contractTime 合同时间
 */
export function doctaskList(data) {
  return request({
    url: '/api/doc/doctask/list',
    method: 'post',
    params: data
  })
}
